Skip to content

Search conversations with filters

Request

Search for conversations containing a particular text or by filter or combine them both

Security
ApiKeyAuth
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Bodyapplication/json

The filters to apply to the search

queryobject(Query)
filtersobject(Filters)
POST
/beta/search/conversations
curl -i -X POST \
  'https://dev.dixa.io/beta/search/conversations?pageLimit=0&pageKey=string' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "filters": {
      "strategy": "All",
      "conditions": [
        {
          "field": {
            "operator": {
              "values": [
                "177e7564-6434-4177-a25a-8530089196ad",
                "7729e7564-9876-a637-b46b-8530038196b3"
              ],
              "_type": "IncludesOne"
            },
            "_type": "TagId"
          }
        }
      ]
    }
  }'

Responses

The search results for the searched parameters

Bodyapplication/json
dataArray of objects(ConversationSearchWithFiltersHit)
metaobject(PaginationLinks)
Response
{ "data": [ {}, {}, {} ], "meta": { "next": "/<api-version>/search/conversations/?pageKey=cGFnZUxpbWl0PTUwJnBhZ2U9MQ%3D%3D:" } }